import { WebSocket as WS } from 'ws';
declare abstract class WebSocketHandler {
    static Event: {
        CONNECTION: string;
        MESSAGE: string;
        CLOSE: string;
        ERROR: string;
    };
    abstract onConnect: (ws: WS) => any;
    abstract onMessage: (message: string) => any;
    abstract onError: () => any;
    abstract onClose: (code?: number, reason?: string) => any;
}
export { WebSocketHandler };
