"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const http_1 = require("../base/http");
const i18n_1 = require("../base/i18n");
class NotFoundErrorHandler extends http_1.Middleware {
    constructor() {
        super(...arguments);
        this.order = 9999;
        this.route = null;
        this.action = (req, res, next) => {
            res.status(http_1.StatusCodes.NOT_FOUND).send((0, i18n_1.$$)('org.crazydoctor.expressts.httpError.404', { url: req.url }));
        };
    }
}
exports.default = NotFoundErrorHandler;
//# sourceMappingURL=NotFoundErrorHandler.js.map