import { WebSocketHandler } from '../base/websocket';
type ServerProperties = {
    port: number;
    host?: string;
    locale?: string;
    i18nPath?: string;
    middlewaresPath?: string;
    routesPath?: string;
    viewEngine?: string;
    viewsPath?: string;
    swagger?: {
        docsPath?: string;
        title?: string;
        version?: string;
        route?: string;
        description?: string;
    };
    wsHandlers?: {
        [url: string]: WebSocketHandler;
    };
    options?: {
        [key: string]: any;
    };
};
export { ServerProperties };
