import { Request, Response } from 'express';
import { HttpMethod } from './HttpMethod';
import { HttpHandler } from './HttpHandler';
declare abstract class Route extends HttpHandler {
    protected abstract method: HttpMethod;
    protected abstract action: (req: Request, res: Response) => any;
    protected get documentation(): string;
    getMethod(): HttpMethod;
    getDocumentation(): string;
}
export { Route };
